<?php
// If not, assume the cwd is not symlinked and proceed as we are used to
require_once("../../config.php");

//Local translate function
function t($str, $param=null, $plugin='local_treestudyplan'){
	print get_string($str,$plugin,$param);
}

$systemcontext = context_system::instance();
$PAGE->set_pagelayout('base');
$PAGE->set_context($systemcontext);

// See if we can get a valid user for this invited
$invitekey = optional_param('key', '', PARAM_ALPHANUM);     // module name
$PAGE->set_url("/local/treestudyplan/invited.php",array('key' => $invitekey));

$invite = $DB->get_record_select("local_treestudyplan_invit", $DB->sql_compare_text("invitekey"). " = " . $DB->sql_compare_text(":invitekey"), ['invitekey' => $invitekey]);

if(empty($invite))
{
	$PAGE->set_title(get_string('invalid_invitekey_title', 'local_treestudyplan'));
	$PAGE->set_heading(get_string('invalid_invitekey_title', 'local_treestudyplan'));

	
	print $OUTPUT->header();
	
	
	// render page for skill level 0 (global)

	print "<div class='box errorbox alert alert-danger'>";
	print get_string('invalid_invitekey_error','local_treestudyplan');
	print "</div>";

	print $OUTPUT->footer();

	exit;
}
else
{
	// Load javascripts and specific css
	$PAGE->requires->css(new moodle_url($CFG->wwwroot.'/local/treestudyplan/css/bootstrap-vue.min.css'));
	$PAGE->requires->css(new moodle_url($CFG->wwwroot.'/local/treestudyplan/css/devstyles.css'));
	$PAGE->requires->js_call_amd('local_treestudyplan/page-myreport', 'init',['invited',$invitekey]);

	$student = $DB->get_record('user', array('id' => $invite->user_id));
	$PAGE->set_title(get_string('report_invited', 'local_treestudyplan', "{$student->firstname} {$student->lastname}" ));
	$PAGE->set_heading(get_string('report_invited', 'local_treestudyplan', "{$student->firstname} {$student->lastname}"));

	print $OUTPUT->header();
	?>
	<div id='root'>
		<div class='vue-loader' v-show='false'>
			<div class="spinner-border text-primary" role="status">
				<span class="sr-only">Loading...</span>
			</div>
		</div>
		<div v-cloak>
			<r-report v-model="studyplans" :guestmode="true"></r-report>
		</div>
	</div>

	<?php

	print $OUTPUT->footer();
}